Subject: bug#23587: 24.5; Emacs window clips to half its size in xmonad

From: Christian Gogolin <[email-masked]>
Date: Fri, 20 May 2016 18:21:15 +0200

I just found out what is causing the problem:

In my .xinitrc I am doing the two following exports

export GDK_SCALE=2
export GDK_DPI_SCALE=0.5

to make icons in GTK applications reasonably large on my HiDPI screen.

Without these exports, or by starting Emacs explicitly overwriting
these values

$ export GDK_SCALE=1; export GDK_DPI_SCALE=1; emacs

resolves the problem.

bug#20432 also seems related to this.

I guess that in the long run this behaviour will have to be fixed, for
now I can live with the workaround above.